package com.gic.enterprise.service.outer;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dto.BillingAccountDTO;
import com.gic.enterprise.entity.TabBillingAccount;
import com.gic.enterprise.entity.TabEnterprise;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.service.BillingAccountApiService;
import com.gic.enterprise.service.BillingAccountService;
import com.gic.enterprise.service.EnterpriseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("billingAccountApiService")
public class BillingAccountApiServiceImpl implements BillingAccountApiService{
    @Autowired
    private BillingAccountService billingAccountService;
    @Autowired
    private EnterpriseService enterpriseService;
    @Override
    public ServiceResponse<BillingAccountDTO> getByEnterpriseId(Integer enterpriseId) {
        TabEnterprise tabEnterprise = enterpriseService.getEnterpriseById(enterpriseId);
        if (tabEnterprise == null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "商户ID有误");
        }
        TabBillingAccount account = billingAccountService.getByEnterpriseId(enterpriseId);
        return ServiceResponse.success(EntityUtil.changeEntityNew(BillingAccountDTO.class, account));
    }
}
