package com.gic.enterprise.web.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.service.BillingAccountApiService;
import com.gic.enterprise.service.PackApiService;
import com.gic.enterprise.utils.ResultControllerUtils;

/**
 * 计费中心余额账户
 * @ClassName: BillingAccountController 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/16 3:53 PM 
 */
@RestController
@RequestMapping("/billing-account")
public class BillingAccountController {
    private static final Logger LOGGER = LoggerFactory.getLogger(BillingAccountController.class);
    @Autowired
    private BillingAccountApiService billingAccountApiService;
    @Autowired
    private PackApiService packApiService;

    @RequestMapping("/billing-account-info")
    public RestResponse billingAccountInfo() {
        Integer enterprise = 1111;
        return ResultControllerUtils.commonResult(billingAccountApiService.getByEnterpriseId(enterprise));
    }

    @RequestMapping("/list-package-type")
    public RestResponse listPackageType() {
        return ResultControllerUtils.commonResult(packApiService.listAllSmsPackage());
    }
}
